Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jclark.xsl.conv
Class NumberListFormat

    java.lang.Object
      com.jclark.xsl.conv.NumberListFormat

All Implemented Interfaces:
  java.lang.Cloneable

public class NumberListFormat
extends java.lang.Object
implements java.lang.Cloneable

Constructor Summary
`NumberListFormat()`

Method Summary
`java.lang.Object` | `clone()`
`java.lang.String` | `formatNumber(int i, int n)`
`java.lang.String` | `getPrefix(int i)`
`java.lang.String` | `getSuffix()`
`void` | `setFormat(java.lang.String format)`
`static void` | `setFormatTokenHandler(java.lang.String formatToken, FormatTokenHandler handler)`
`void` | `setGroupingSeparator(java.lang.String sep)`
`void` | `setGroupingSize(int n)`
`void` | `setLang(java.lang.String lang)`
`void` | `setLetterValue(java.lang.String letterValue)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NumberListFormat

    public NumberListFormat()

Method Detail

### setFormatTokenHandler

    public static void setFormatTokenHandler(java.lang.String formatToken,
                                             FormatTokenHandler handler)

### setFormat

    public void setFormat(java.lang.String format)

### setLang

    public void setLang(java.lang.String lang)

### setLetterValue

    public void setLetterValue(java.lang.String letterValue)

### setGroupingSeparator

    public void setGroupingSeparator(java.lang.String sep)

### setGroupingSize

    public void setGroupingSize(int n)

### getPrefix

    public java.lang.String getPrefix(int i)

### formatNumber

    public java.lang.String formatNumber(int i,
                                         int n)

### getSuffix

    public java.lang.String getSuffix()

### clone

    public java.lang.Object clone()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD